uk.gov.hmrc.objectstore.client.play.modules

# ObjectStoreModule

###
Related Doc: package modules

#### class ObjectStoreModule extends Module

Linear Supertypes
Module, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectStoreModule
2. Module
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ObjectStoreModule()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### final def bind[T](implicit arg0: ClassTag[T]): BindingKey[T]

   Definition Classes
     Module

6. #### def bindings(environment: Environment, configuration: Configuration): Seq[Binding[_]]

   Definition Classes
     ObjectStoreModule → Module

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### final def bind[T](clazz: Class[T]): BindingKey[T]

   Definition Classes
     Module
   Annotations
     @deprecated
   Deprecated

     (Since version 2.7.0) Use play.inject.Module.bindClass instead if the Module is coded in Java. Scala modules can use play.api.inject.bind[T: ClassTag]

2. #### final def seq(bindings: Binding[_]*): Seq[Binding[_]]

   Definition Classes
     Module
   Annotations
     @deprecated @varargs()
   Deprecated

     (Since version 2.7.0) Use play.inject.Module instead if the Module is coded in Java.

### Inherited from Module

### Inherited from AnyRef

### Inherited from Any

### Ungrouped